Freeciv-3.2: edit_extra Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Slots | Private Attributes
edit_extra Class Reference

`#include <edit_extra.h>`

Inheritance diagram for edit_extra:

## Public Member Functions

| edit_extra (ruledit_gui *ui_in, struct extra_type *extra_in)
void | refresh ()

## Protected Member Functions

void | closeEvent (QCloseEvent *cevent)

## Private Slots

void | gfx_tag_given ()
void | gfx_tag_alt_given ()
void | act_gfx_given ()
void | act_gfx_alt_given ()
void | act_gfx_alt2_given ()
void | rmact_gfx_given ()
void | rmact_gfx_alt_given ()
void | rmact_gfx_alt2_given ()

## Private Attributes

ruledit_gui * | ui
struct extra_type * | extra
QLineEdit * | gfx_tag
QLineEdit * | gfx_tag_alt
QLineEdit * | act_gfx
QLineEdit * | act_gfx_alt
QLineEdit * | act_gfx_alt2
QLineEdit * | rmact_gfx
QLineEdit * | rmact_gfx_alt
QLineEdit * | rmact_gfx_alt2
QGridLayout * | natives_layout
QGridLayout * | flag_layout

## Detailed Description

Definition at line 30 of file edit_extra.h.

## Constructor & Destructor Documentation

## ◆ edit_extra()

edit_extra::edit_extra | ( | ruledit_gui * | ui_in,
|  | struct extra_type * | extra_in
| ) |  |

explicit

Setup edit_extra object

Definition at line 40 of file edit_extra.cpp.

## Member Function Documentation

## ◆ act_gfx_alt2_given

void edit_extra::act_gfx_alt2_given | ( |  | ) |

privateslot

User entered new secondary alternative activity graphics tag.

Definition at line 273 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ act_gfx_alt_given

void edit_extra::act_gfx_alt_given | ( |  | ) |

privateslot

User entered new alternative activity graphics tag.

Definition at line 263 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ act_gfx_given

void edit_extra::act_gfx_given | ( |  | ) |

privateslot

User entered new activity graphics tag.

Definition at line 253 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ closeEvent()

void edit_extra::closeEvent | ( | QCloseEvent * | cevent | ) |

protected

User is closing dialog.

Definition at line 172 of file edit_extra.cpp.

## ◆ gfx_tag_alt_given

void edit_extra::gfx_tag_alt_given | ( |  | ) |

privateslot

User entered new alternative graphics tag.

Definition at line 243 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ gfx_tag_given

void edit_extra::gfx_tag_given | ( |  | ) |

privateslot

User entered new graphics tag.

Definition at line 233 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ refresh()

void edit_extra::refresh | ( |  | ) |

Refresh the information.

Definition at line 218 of file edit_extra.cpp.

Referenced by edit_extra().

## ◆ rmact_gfx_alt2_given

void edit_extra::rmact_gfx_alt2_given | ( |  | ) |

privateslot

User entered new second alternative removal activity graphics tag.

Definition at line 303 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ rmact_gfx_alt_given

void edit_extra::rmact_gfx_alt_given | ( |  | ) |

privateslot

User entered new alternative removal activity graphics tag.

Definition at line 293 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## ◆ rmact_gfx_given

void edit_extra::rmact_gfx_given | ( |  | ) |

privateslot

User entered new alternative graphics tag.

Definition at line 283 of file edit_extra.cpp.

Referenced by closeEvent(), and edit_extra().

## Field Documentation

## ◆ act_gfx

QLineEdit* edit_extra::act_gfx

private

Definition at line 43 of file edit_extra.h.

Referenced by edit_extra(), and refresh().

## ◆ act_gfx_alt

QLineEdit* edit_extra::act_gfx_alt

private

Definition at line 44 of file edit_extra.h.

Referenced by act_gfx_alt_given(), act_gfx_given(), edit_extra(), and refresh().

## ◆ act_gfx_alt2

QLineEdit* edit_extra::act_gfx_alt2

private

Definition at line 45 of file edit_extra.h.

Referenced by act_gfx_alt2_given(), edit_extra(), and refresh().

## ◆ extra

struct extra_type* edit_extra::extra

private

Definition at line 40 of file edit_extra.h.

Referenced by act_gfx_alt2_given(), act_gfx_alt_given(), act_gfx_given(), closeEvent(), edit_extra(), gfx_tag_alt_given(), gfx_tag_given(), refresh(), rmact_gfx_alt2_given(), rmact_gfx_alt_given(), and rmact_gfx_given().

## ◆ flag_layout

QGridLayout* edit_extra::flag_layout

private

Definition at line 51 of file edit_extra.h.

Referenced by closeEvent(), and edit_extra().

## ◆ gfx_tag

QLineEdit* edit_extra::gfx_tag

private

Definition at line 41 of file edit_extra.h.

Referenced by edit_extra(), gfx_tag_given(), and refresh().

## ◆ gfx_tag_alt

QLineEdit* edit_extra::gfx_tag_alt

private

Definition at line 42 of file edit_extra.h.

Referenced by edit_extra(), gfx_tag_alt_given(), and refresh().

## ◆ natives_layout

QGridLayout* edit_extra::natives_layout

private

Definition at line 50 of file edit_extra.h.

Referenced by closeEvent(), and edit_extra().

## ◆ rmact_gfx

QLineEdit* edit_extra::rmact_gfx

private

Definition at line 46 of file edit_extra.h.

Referenced by edit_extra(), refresh(), and rmact_gfx_given().

## ◆ rmact_gfx_alt

QLineEdit* edit_extra::rmact_gfx_alt

private

Definition at line 47 of file edit_extra.h.

Referenced by edit_extra(), refresh(), and rmact_gfx_alt_given().

## ◆ rmact_gfx_alt2

QLineEdit* edit_extra::rmact_gfx_alt2

private

Definition at line 48 of file edit_extra.h.

Referenced by edit_extra(), refresh(), and rmact_gfx_alt2_given().

## ◆ ui

ruledit_gui* edit_extra::ui

private

Definition at line 39 of file edit_extra.h.

Referenced by edit_extra().